import request from '@/utils/request';

// 综合绩效-辅导员工作绩效填报列表查询
export function taskList(query) {
  return request({
    url: '/teacher/task/list',
    method: 'get',
    data: query
  })
}
// 综合绩效-辅导员工作绩效填报新增
export function taskAdd(data) {
  return request({
    url: '/teacher/task/add',
    method: 'post',
    data: data
  })
}

// 综合绩效-辅导员工作绩效填报修改
export function taskUpdate(data) {
  return request({
    url: '/teacher/task/update',
    method: 'post',
    data: data
  })
}

// 综合绩效-辅导员工作绩效填报详情
export function taskDetail(id) {
  return request({
    url: '/teacher/task/'+id,
    method: 'get',
  })
}

// 综合绩效-删除
export function taskDel(id) {
  return request({
    url: '/teacher/task/'+id,
    method: 'post',
  })
}